"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveScreenPaths = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
function deriveScreenPaths(dest, relDirShift) {
    const srcPath = path_1.default.join(dest, relDirShift);
    const relativeDestPath = path_1.default.relative(srcPath, dest);
    const localeMessagesPath = path_1.default.join(srcPath, "core/i18n/messages");
    const appTsxPath = path_1.default.join(srcPath, 'app', 'App.tsx');
    const menuTsxPath = path_1.default.join(srcPath, 'app', 'menu', 'MainMenu.tsx');
    const result = {
        srcPath,
        destPath: dest,
        relativeDestPath,
        localeMessagesPath,
        appTsxPath,
        menuTsxPath
    };
    console.debug(`deriveScreenPaths: return '${JSON.stringify(result)}' \nfrom input dest '${dest}' and relDirShift '${relDirShift}'`);
    return result;
}
exports.deriveScreenPaths = deriveScreenPaths;
//# sourceMappingURL=generatorPaths.js.map